package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.entity.AdamAddresses;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 收货地址 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-11
 */
public interface IAdamAddressesService extends IService<AdamAddresses> {

    void add(AdamAddresses adamAddresses);

    List<AdamAddresses> list(String uid);

    AdamAddresses query(String uid, String addressesId);

    void def(String uid, String addressesId);

    void edit(AdamAddresses info);

    void remove(String uid, String addressesId);
}
